%% Choose Data

tic_total = tic;



for rr= 1:Dataset_count
clearvars -except rr Dataset_folders dir_* Dataset_count  tic*



cd(dir_data)

cd(Dataset_folders(rr).name)
    
   
% Loading parameter from run:
load('params.mat');
load('data.mat')

tic_dataset = tic;

%% Quick and dirty

ISI_cell = cell(N,1);
for i=1:N
        ISI_cell{i,1}=cell(Ntr,1);
end

all_ISIs_cell = cell(N,1);
parfor i= 1:N
    for j= 1:Ntr
        ISI_cell{i}{j} = t_s_u{i}{j}(2:end)-t_s_u{i}{j}(1:end-1);
        all_ISIs_cell{i} = [all_ISIs_cell{i} ISI_cell{i}{j}]
    end
end

all_ISIs = [];
for i =1:N
    all_ISIs = [all_ISIs all_ISIs_cell{i}];
end

mean_ISI = mean(all_ISIs);
var_ISI  = var (all_ISIs);

corr_2ISI = mean((all_ISIs(1:end-1)-mean_ISI).*(all_ISIs(2:end)-mean_ISI))/var_ISI;

save('correlation_2ISI.mat','corr_2ISI');

end
