dir_return = pwd;


%% Generate the Spike Train Ensemble to evaluate the probability distribution of the current at the Spike times
run('./ISI/A_LIF_p_dist_Gen.m')
cd(dir_return)

%% Readout probability distribution of the spike triggered current distribution
run('./ISI/B_LIF_p_dist_Readout.m')
cd(dir_return)

%% Generate spikes using the above spike triggered current distribution for initial values values
run('./ISI/C_LIF_ISI_Gen.m')
cd(dir_return)

%% Calculate information by binning the ISIs and evaluating how information scales with bin size
run('./ISI/D_bin_size_scaling.m')
cd(dir_return)