function [ng_probdis,ng_x] = bimodal_input_distribution(ng_a1,ng_a2,ng_b1,ng_b2,ng_xmin,ng_xmax,ng_steps) 


ng_x = linspace(ng_xmin,ng_xmax,ng_steps);
% ng_deltax = ng_x(2)-ng_x(1);


ng_p1 = 1/((ng_a2-ng_a1)-(ng_b2-ng_b1)*(ng_a2^2-ng_a1^2)/(ng_b2^2-ng_b1^2));

ng_p2 = -ng_p1*(ng_a2^2-ng_a1^2)/(ng_b2^2-ng_b1^2);

ng_probdis = zeros(size(ng_x));

ng_probdis(ng_x>=ng_a1 & ng_x<=ng_a2) = ng_p1;
ng_probdis(ng_x>=ng_b1 & ng_x<=ng_b2) = ng_p2;

% display(strcat(['Probability distribution CHECK! Sum of all probs = ', num2str(sum(ng_probdis)*ng_deltax), ' !']));


end