%% Choose Data

tic_total = tic;




for rr= 1:Dataset_count
clearvars -except rr Dataset_folders dir_* Dataset_count  tic*



cd(dir_data)

cd(Dataset_folders(rr).name)
    
   
% Loading parameter from run:
%load('params.mat');
%load('data.mat');

tic_dataset = tic;

loadstruct = dir('Corr*.mat');
loadname   = loadstruct.name;

load(loadname,'FiR_u_mean','cross_four_r','auto_four_u','num_tau_*','num_delta_f','T_seq_korrigiert','Off_Fac_num_u')


auto_four_num  = mean(auto_four_u,1);
cross_four_num = mean(cross_four_r,1);


Info_PSTH_perfreq     = -1/2*log2(1-cross_four_num/T_seq_korrigiert/FiR_u_mean*(num_tau_max-num_tau_min));




Info_ps_imaginary = imag(Info_PSTH_perfreq);

Info_ps_possible = Info_PSTH_perfreq(abs(Info_ps_imaginary)<0.01);

Info_PSTH  = sum(Info_PSTH_perfreq(2:end),2)*num_delta_f+...
                        Info_PSTH_perfreq(2)*num_delta_f;
                    
if(Info_ps_imaginary(1)==0)                    
Info_PSTH_corrected  = sum(Info_ps_possible(2:end),2)*num_delta_f+...
                        Info_ps_possible(2)*num_delta_f;
else
Info_PSTH_corrected  = sum(Info_ps_possible,2)*num_delta_f;
end

fig = figure;

plot(auto_four_num,'b')
hold on
plot(cross_four_num,'r')
plot(auto_four_num+Off_Fac_num_u,'green')
line([0 501],[Off_Fac_num_u Off_Fac_num_u])

save('PSTH_numeric.mat','Info_PSTH*','auto_four_num','cross_four_num')
savefig(fig,'PSTH_numeric.fig')
close all
end
