
dir_return = pwd;

%% Generate the Spike Train Ensemble for Correlation Method
run('./Corr/A_Generate_LIF_tau_stim_forCorr.m')
cd(dir_return)

%% Apply correlation Method to data
run('./Corr/B_Readout_Corr.m')
cd(dir_return)

%% Calculate correlations between neighbouring ISIs
run('./Corr/Extra_ISI_correlation_from_Corr_data.m')
cd(dir_return)

%% Calculate PSTH numerically
run('./Corr/PSTH_numeric.m')